// SCRIPT NAME: vFontlister
var VERSION=1.00;
// AUTHOR: James A. Taylor
// COPYRIGHT: James A. Taylor
// DESCRIPTION: Outputs a text file listing any fonts on the users system, and each fonts Postscript name. 


#target photoshop
app.bringToFront();

//GLOBAL VARIABLES
var output="SCREEN NAME = POSTSCRIPT NAME\n\n";
var outfolder=Folder.myDocuments;
var list=fonts.length;

//START THE SCRIPT
fontlister()
fontlist()

//FUNCTIONS

/*
------------
FUNCTION: fontlister
------------
*/	
function fontlister()
	{
	for (var i = 0; i < list; i++) 
		{
		var font=fonts[i];
		var name=font.name
		var pscript=font.postScriptName
		output += name+" = "+pscript+"\n";
    	}
	}

/*
------------
FUNCTION: fontlist
------------
*/		
function fontlist()
	{
	var outfile=new File(outfolder+"/fontlist.txt");
	outfile.open("w");
	outfile.write(output);
	outfile.close;
	outfile=outfile.fsName;
	alert("List of available fonts was written to:\n"+outfile);
	}